Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Interface Joins

public interface Joins

Tracks joins made when traversing relations in a select.

Method Summary
`Joins` | `crossJoin(Table localTable, Table foreignTable)` Perform a cross join on the given tables.
`boolean` | `isEmpty()` Whether we have any joins.
`Joins` | `join(ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key.
`Joins` | `joinRelation(String name, ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key, which represents a relation via the given field name.
`Joins` | `outerJoin(ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key.
`Joins` | `outerJoinRelation(String name, ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key, which represents a relation via the given field name.
`Joins` | `setSubselect(String alias)` Set the subquery alias.
`Joins` | `setVariable(String var)` Set the variable name being traversed into with the next join.

Method Detail

### isEmpty

    public boolean isEmpty()

  Whether we have any joins.

### crossJoin

    public Joins crossJoin(Table localTable,
                           Table foreignTable)

  Perform a cross join on the given tables.

### join

    public Joins join(ForeignKey fk,
                      boolean inverse,
                      boolean toMany)

  Join the columns of the given foreign key.

### outerJoin

    public Joins outerJoin(ForeignKey fk,
                           boolean inverse,
                           boolean toMany)

  Join the columns of the given foreign key.

### joinRelation

    public Joins joinRelation(String name,
                              ForeignKey fk,
                              boolean inverse,
                              boolean toMany)

  Join the columns of the given foreign key, which represents a relation via the given field name.

### outerJoinRelation

    public Joins outerJoinRelation(String name,
                                   ForeignKey fk,
                                   boolean inverse,
                                   boolean toMany)

  Join the columns of the given foreign key, which represents a relation via the given field name.

### setVariable

    public Joins setVariable(String var)

  Set the variable name being traversed into with the next join.

### setSubselect

    public Joins setSubselect(String alias)

  Set the subquery alias.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.